For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve a coupon

How to fetch a specific coupon via API

To fetch a single coupon, send a GET request to the /api/coupons/:id endpoint, where id is the ID of the resource that you want to retrieve.

Request

GET https://yourdomain.commercelayer.io/api/coupons/:id

Example

The following request fetches the coupon identified by the ID "XAyRWNUzyN":

curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/coupons/XAyRWNUzyN' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'

On success, the API responds with a 200 OK status code, returning a single resource object:

{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "coupons",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/coupons/XAyRWNUzyN"
    },
    "attributes": {
      "code": "04371af2-70b3-48d7-8f4e-316b374224c3",
      "customer_single_use": false,
      "usage_limit": 50,
      "usage_count": 20,
      "recipient_email": "john@example.com",
      "expires_at": "2018-01-01T12:00:00.000Z",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "promotion_rule": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/coupons/XAyRWNUzyN/relationships/promotion_rule",
          "related": "https://yourdomain.commercelayer.io/api/coupons/XAyRWNUzyN/promotion_rule"
        }
      },
      "coupon_recipient": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/coupons/XAyRWNUzyN/relationships/coupon_recipient",
          "related": "https://yourdomain.commercelayer.io/api/coupons/XAyRWNUzyN/coupon_recipient"
        }
      },
      "events": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/coupons/XAyRWNUzyN/relationships/events",
          "related": "https://yourdomain.commercelayer.io/api/coupons/XAyRWNUzyN/events"
        }
      },
      "tags": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/coupons/XAyRWNUzyN/relationships/tags",
          "related": "https://yourdomain.commercelayer.io/api/coupons/XAyRWNUzyN/tags"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/coupons/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/coupons/XAyRWNUzyN/event_stores"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  },
  "meta": {
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  }
}

Last updated